Index: code/branches/cpp11_v3/src/libraries/core/input/KeyBinder.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/KeyBinder.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/KeyBinder.h	(revision 11054)
@@ -36,5 +36,5 @@
 #include <vector>
 #include <map>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "InputHandler.h"
@@ -85,26 +85,26 @@
         void compilePointerLists();
         // from JoyStickQuantityListener interface
-        virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
-
-        void allDevicesUpdated(float dt);
-        void mouseUpdated(float dt);
-        void joyStickUpdated(unsigned int joyStick, float dt);
+        virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
+
+        virtual void allDevicesUpdated(float dt) override;
+        virtual void mouseUpdated(float dt) override;
+        virtual void joyStickUpdated(unsigned int joyStick, float dt) override;
         // internal
         void tickHalfAxis(HalfAxis& halfAxis);
 
-        void buttonPressed (const KeyEvent& evt);
-        void buttonReleased(const KeyEvent& evt);
-        void buttonHeld    (const KeyEvent& evt);
-
-        void buttonPressed (MouseButtonCode::ByEnum button);
-        void buttonReleased(MouseButtonCode::ByEnum button);
-        void buttonHeld    (MouseButtonCode::ByEnum button);
-        void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize);
-        void mouseScrolled (int abs, int rel);
-
-        void buttonPressed (unsigned int device, JoyStickButtonCode::ByEnum button);
-        void buttonReleased(unsigned int device, JoyStickButtonCode::ByEnum button);
-        void buttonHeld    (unsigned int device, JoyStickButtonCode::ByEnum button);
-        void axisMoved     (unsigned int device, unsigned int axis, float value);
+        virtual void buttonPressed (const KeyEvent& evt) override;
+        virtual void buttonReleased(const KeyEvent& evt) override;
+        virtual void buttonHeld    (const KeyEvent& evt) override;
+
+        virtual void buttonPressed (MouseButtonCode::ByEnum button) override;
+        virtual void buttonReleased(MouseButtonCode::ByEnum button) override;
+        virtual void buttonHeld    (MouseButtonCode::ByEnum button) override;
+        virtual void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize) override;
+        virtual void mouseScrolled (int abs, int rel) override;
+
+        virtual void buttonPressed (unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        virtual void buttonReleased(unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        virtual void buttonHeld    (unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        virtual void axisMoved     (unsigned int device, unsigned int axis, float value) override;
 
     protected: // variables
@@ -128,5 +128,5 @@
         };
         //! Actual key bindings for joy stick buttons
-        std::vector<shared_ptr<JoyStickButtonVector> > joyStickButtons_;
+        std::vector<std::shared_ptr<JoyStickButtonVector>> joyStickButtons_;
         //! Helper class to use something like std:vector<HalfAxis[48]>
         struct JoyStickAxisVector
@@ -136,5 +136,5 @@
         };
         //! Actual key bindings for joy stick axes (and sliders)
-        std::vector<shared_ptr<JoyStickAxisVector> > joyStickAxes_;
+        std::vector<std::shared_ptr<JoyStickAxisVector>> joyStickAxes_;
 
         //! Pointer map with all Buttons, including half axes
@@ -143,5 +143,5 @@
         std::vector<HalfAxis*> allHalfAxes_;
         //! Maps input commands to all Button names, including half axes
-        std::map< std::string, std::vector<std::string> > allCommands_;
+        std::map< std::string, std::vector<std::string>> allCommands_;
 
         /**
@@ -160,5 +160,5 @@
         //! Name of the file used in this KeyBinder (constant!)
         const std::string filename_;
-        //! Config file used. NULL in case of KeyDetector. Also indicates whether we've already loaded.
+        //! Config file used. nullptr in case of KeyDetector. Also indicates whether we've already loaded.
         ConfigFile* configFile_;
         //! Config file from the data directory that only serves as fallback
@@ -227,13 +227,13 @@
     {
         // execute all buffered bindings (additional parameter)
-        for (unsigned int i = 0; i < paramCommandBuffer_.size(); i++)
+        for (BufferedParamCommand* command : paramCommandBuffer_)
         {
-            paramCommandBuffer_[i]->rel_ *= dt;
-            paramCommandBuffer_[i]->execute();
+            command->rel_ *= dt;
+            command->execute();
         }
 
         // always reset the relative movement of the mouse
-        for (unsigned int i = 0; i < MouseAxisCode::numberOfAxes * 2; i++)
-            mouseAxes_[i].relVal_ = 0.0f;
+        for (HalfAxis& axis : mouseAxes_)
+            axis.relVal_ = 0.0f;
     }
 }// tolua_export
Index: code/branches/cpp11_v3/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/KeyBinderManager.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/KeyBinderManager.cc	(revision 11054)
@@ -56,5 +56,5 @@
 
     KeyBinderManager::KeyBinderManager()
-        : currentBinder_(NULL)
+        : currentBinder_(nullptr)
         , bDefaultFileLoaded_(true)
         , bBinding_(false)
@@ -76,12 +76,12 @@
     {
         // Delete all remaining KeyBinders
-        for (std::map<std::string, KeyBinder*>::const_iterator it = this->binders_.begin(); it != this->binders_.end(); ++it)
-            delete it->second;
+        for (const auto& mapEntry : this->binders_)
+            delete mapEntry.second;
 
         // Reset console commands
-        ModifyConsoleCommand(__CC_keybind_name ).setObject(0);
-        ModifyConsoleCommand(__CC_tkeybind_name).setObject(0);
-        ModifyConsoleCommand(__CC_unbind_name  ).setObject(0);
-        ModifyConsoleCommand(__CC_tunbind_name ).setObject(0);
+        ModifyConsoleCommand(__CC_keybind_name ).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tkeybind_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_unbind_name  ).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tunbind_name ).setObject(nullptr);
     }
 
@@ -205,5 +205,5 @@
     void KeyBinderManager::registerKeybindCallback(LuaFunctor* function)
     {
-        this->callbackFunction_ = function;
+        this->callbackFunction_.reset(function);
     }
 }
Index: code/branches/cpp11_v3/src/libraries/core/input/KeyBinderManager.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/KeyBinderManager.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/KeyBinderManager.h	(revision 11054)
@@ -34,4 +34,5 @@
 #include <map>
 #include <string>
+#include <memory>
 
 #include "util/Singleton.h"
@@ -101,5 +102,8 @@
 
     private:
-        KeyBinderManager(const KeyBinderManager&);
+        // non-copyable:
+        KeyBinderManager(const KeyBinderManager&) = delete;
+        KeyBinderManager& operator=(const KeyBinderManager&) = delete;
+
         void keybindInternal(const std::string& command, bool bTemporary);
         void keybindKeyPressed(const std::string& keyName);
@@ -107,14 +111,14 @@
 
         // KeyBinder management
-        KeyBinder* currentBinder_;                   //! Currently selected KeyBinder (never NULL!)
-        std::map<std::string, KeyBinder*> binders_;  //! All loaded KeyBinders
-        bool bDefaultFileLoaded_;                    //! Tells whether the default one is loaded
-        std::string defaultFilename_;                //! Name of the file with the default key bindings
+        KeyBinder* currentBinder_;                      //! Currently selected KeyBinder (never nullptr!)
+        std::map<std::string, KeyBinder*> binders_;     //! All loaded KeyBinders
+        bool bDefaultFileLoaded_;                       //! Tells whether the default one is loaded
+        std::string defaultFilename_;                   //! Name of the file with the default key bindings
 
         // keybind command related
-        SharedPtr<LuaFunctor> callbackFunction_;     //! Function to be called when key was pressed after "keybind" command
-        bool bBinding_;                              //! Tells whether a key binding process is active
-        bool bTemporary_;                            //! Stores tkeybind/keybind value
-        std::string command_;                        //! Stores the command received by (t)keybind
+        std::shared_ptr<LuaFunctor> callbackFunction_;  //! Function to be called when key was pressed after "keybind" command
+        bool bBinding_;                                 //! Tells whether a key binding process is active
+        bool bTemporary_;                               //! Stores tkeybind/keybind value
+        std::string command_;                           //! Stores the command received by (t)keybind
 
         static KeyBinderManager* singletonPtr_s;
Index: code/branches/cpp11_v3/src/libraries/core/input/KeyDetector.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/KeyDetector.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/KeyDetector.cc	(revision 11054)
@@ -62,5 +62,5 @@
     KeyDetector::~KeyDetector()
     {
-        inputState_->setHandler(NULL);
+        inputState_->setHandler(nullptr);
         InputManager::getInstance().destroyState("detector");
         ModifyConsoleCommand(__CC_KeyDetector_callback_name).resetFunction();
@@ -70,6 +70,6 @@
     {
         // Assign every button/axis the same command, but with its name as argument
-        for (std::map<std::string, Button*>::const_iterator it = allButtons_.begin(); it != allButtons_.end(); ++it)
-            it->second->parse(__CC_KeyDetector_callback_name + ' ' + it->second->groupName_ + "." + it->second->name_);
+        for (const auto& mapEntry : allButtons_)
+            mapEntry.second->parse(__CC_KeyDetector_callback_name + ' ' + mapEntry.second->groupName_ + "." + mapEntry.second->name_);
     }
 
Index: code/branches/cpp11_v3/src/libraries/core/input/KeyDetector.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/KeyDetector.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/KeyDetector.h	(revision 11054)
@@ -48,8 +48,10 @@
 
     private:
-        KeyDetector(const KeyDetector&);
+        // non-copyable:
+        KeyDetector(const KeyDetector&) = delete;
+        KeyDetector& operator=(const KeyDetector&) = delete;
 
         void callback(const std::string& name);
-        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
+        virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
         void assignCommands();
 
Index: code/branches/cpp11_v3/src/libraries/core/input/Keyboard.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/Keyboard.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/Keyboard.h	(revision 11054)
@@ -63,5 +63,5 @@
         //! Only resets the keyboard modifiers. Initialising is done in the base class.
         Keyboard(unsigned int id, OIS::InputManager* oisInputManager) : super(id, oisInputManager), modifiers_(0) { }
-        ~Keyboard() { }
+        ~Keyboard() = default;
 
     private:
@@ -75,6 +75,6 @@
         }
 
-        bool keyPressed(const OIS::KeyEvent& arg);
-        bool keyReleased(const OIS::KeyEvent& arg);
+        virtual bool keyPressed(const OIS::KeyEvent& arg) override;
+        virtual bool keyReleased(const OIS::KeyEvent& arg) override;
 
         //! Returns the class name as string
Index: code/branches/cpp11_v3/src/libraries/core/input/Mouse.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/Mouse.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/Mouse.cc	(revision 11054)
@@ -68,6 +68,6 @@
     {
 #ifdef ORXONOX_PLATFORM_LINUX
-        ModifyConsoleCommand(__CC_Mouse_name, __CC_grab_name).setObject(0);
-        ModifyConsoleCommand(__CC_Mouse_name, __CC_ungrab_name).setObject(0);
+        ModifyConsoleCommand(__CC_Mouse_name, __CC_grab_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_Mouse_name, __CC_ungrab_name).setObject(nullptr);
 #endif
     }
@@ -82,6 +82,6 @@
             IntVector2 rel(e.state.X.rel, e.state.Y.rel);
             IntVector2 clippingSize(e.state.width, e.state.height);
-            for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->mouseMoved(abs, rel, clippingSize);
+            for (InputState* state : inputStates_)
+                state->mouseMoved(abs, rel, clippingSize);
         }
 
@@ -89,6 +89,6 @@
         if (e.state.Z.rel != 0)
         {
-            for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->mouseScrolled(e.state.Z.abs, e.state.Z.rel);
+            for (InputState* state : inputStates_)
+                state->mouseScrolled(e.state.Z.abs, e.state.Z.rel);
         }
 
Index: code/branches/cpp11_v3/src/libraries/core/input/Mouse.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/input/Mouse.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/input/Mouse.h	(revision 11054)
@@ -74,5 +74,5 @@
     private:
         //! OIS event handler
-        bool mousePressed(const OIS::MouseEvent &arg, OIS::MouseButtonID id)
+        virtual bool mousePressed(const OIS::MouseEvent &arg, OIS::MouseButtonID id) override
         {
             super::buttonPressed(static_cast<MouseButtonCode::ByEnum>(id));
@@ -81,5 +81,5 @@
 
         //! OIS event handler
-        bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id)
+        virtual bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id) override
         {
             super::buttonReleased(static_cast<MouseButtonCode::ByEnum>(id));
@@ -87,7 +87,7 @@
         }
 
-        bool mouseMoved(const OIS::MouseEvent &arg);
+        virtual bool mouseMoved(const OIS::MouseEvent &arg) override;
 
-        void windowResized(unsigned int newWidth, unsigned int newHeight);
+        virtual void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
         // Returns the class name as string
Index: code/branches/cpp11_v3/src/libraries/core/module/DynLib.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/DynLib.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/DynLib.cc	(revision 11054)
@@ -56,5 +56,5 @@
     {
         mName = name;
-        m_hInst = NULL;
+        m_hInst = nullptr;
     }
 
@@ -127,10 +127,10 @@
             FORMAT_MESSAGE_FROM_SYSTEM |
             FORMAT_MESSAGE_IGNORE_INSERTS,
-            NULL,
+            nullptr,
             GetLastError(),
             MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
             (LPTSTR) &lpMsgBuf,
             0,
-            NULL
+            nullptr
             );
         std::string ret = (char*)lpMsgBuf;
Index: code/branches/cpp11_v3/src/libraries/core/module/DynLib.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/DynLib.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/DynLib.h	(revision 11054)
@@ -45,5 +45,5 @@
 #if defined(ORXONOX_PLATFORM_WINDOWS)
 #    define DYNLIB_HANDLE hInstance
-#    define DYNLIB_LOAD( a ) LoadLibraryEx( a, NULL, LOAD_WITH_ALTERED_SEARCH_PATH )
+#    define DYNLIB_LOAD( a ) LoadLibraryEx( a, nullptr, LOAD_WITH_ALTERED_SEARCH_PATH )
 #    define DYNLIB_GETSYM( a, b ) GetProcAddress( a, b )
 #    define DYNLIB_UNLOAD( a ) !FreeLibrary( a )
@@ -104,5 +104,5 @@
                 the symbol.
             @par
-                If the function fails, the returned value is <b>NULL</b>.
+                If the function fails, the returned value is <b>nullptr</b>.
 
         */
Index: code/branches/cpp11_v3/src/libraries/core/module/DynLibManager.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/DynLibManager.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/DynLibManager.cc	(revision 11054)
@@ -38,5 +38,5 @@
     //-----------------------------------------------------------------------
     //! Static pointer to the singleton
-    DynLibManager* DynLibManager::singletonPtr_s  = 0;
+    DynLibManager* DynLibManager::singletonPtr_s  = nullptr;
 
     //-----------------------------------------------------------------------
@@ -75,8 +75,8 @@
     {
         // Unload & delete resources in turn
-        for (DynLibList::iterator it = mLibList.begin(); it != mLibList.end(); ++it)
+        for (const auto& mapEntry : mLibList)
         {
-            it->second->unload();
-            delete it->second;
+            mapEntry.second->unload();
+            delete mapEntry.second;
         }
 
Index: code/branches/cpp11_v3/src/libraries/core/module/ModuleInstance.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/ModuleInstance.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/ModuleInstance.cc	(revision 11054)
@@ -33,9 +33,9 @@
 namespace orxonox
 {
-    ModuleInstance* ModuleInstance::currentModuleInstance_s = NULL;
+    ModuleInstance* ModuleInstance::currentModuleInstance_s = nullptr;
 
     ModuleInstance::ModuleInstance(const std::string& libraryName)
         : libraryName_(libraryName)
-        , dynLib_(NULL)
+        , dynLib_(nullptr)
     {
     }
@@ -59,6 +59,6 @@
     {
         const std::set<StaticallyInitializedInstance*>& instances = this->staticallyInitializedInstancesByType_[type];
-        for (std::set<StaticallyInitializedInstance*>::iterator it = instances.begin(); it != instances.end(); ++it)
-            (*it)->load();
+        for (StaticallyInitializedInstance* instance : instances)
+            instance->load();
     }
 
@@ -73,9 +73,9 @@
     void ModuleInstance::deleteAllStaticallyInitializedInstances()
     {
-        std::map<StaticInitialization::Type, std::set<StaticallyInitializedInstance*> > copy(this->staticallyInitializedInstancesByType_);
+        std::map<StaticInitialization::Type, std::set<StaticallyInitializedInstance*>> copy(this->staticallyInitializedInstancesByType_);
         this->staticallyInitializedInstancesByType_.clear();
-        for (std::map<StaticInitialization::Type, std::set<StaticallyInitializedInstance*> >::iterator it1 = copy.begin(); it1 != copy.end(); ++it1)
-            for (std::set<StaticallyInitializedInstance*>::iterator it2 = it1->second.begin(); it2 != it1->second.end(); ++it2)
-                delete (*it2);
+        for (const auto& mapEntry : copy)
+            for (StaticallyInitializedInstance* instance : mapEntry.second)
+                delete instance;
     }
 
Index: code/branches/cpp11_v3/src/libraries/core/module/Plugin.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/Plugin.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/Plugin.cc	(revision 11054)
@@ -39,5 +39,5 @@
     {
         this->referenceCounter_ = 0;
-        this->moduleInstance_ = NULL;
+        this->moduleInstance_ = nullptr;
     }
 
@@ -45,5 +45,5 @@
     {
         // force unloading of the module when the plugin is destroyed
-        if (this->moduleInstance_ != NULL)
+        if (this->moduleInstance_ != nullptr)
             this->unloadModule();
     }
Index: code/branches/cpp11_v3/src/libraries/core/module/PluginManager.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/PluginManager.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/PluginManager.cc	(revision 11054)
@@ -54,5 +54,5 @@
     SetConsoleCommand("PluginManager", __CC_PluginManager_unload_name, &PluginManager::unloadPlugin);
 
-    PluginManager* PluginManager::singletonPtr_s  = 0;
+    PluginManager* PluginManager::singletonPtr_s  = nullptr;
 
     RegisterAbstractClass(PluginManager).inheritsFrom<Configurable>();
@@ -70,11 +70,11 @@
     PluginManager::~PluginManager()
     {
-        ModifyConsoleCommand("PluginManager", __CC_PluginManager_load_name).setObject(NULL);
-        ModifyConsoleCommand("PluginManager", __CC_PluginManager_unload_name).setObject(NULL);
+        ModifyConsoleCommand("PluginManager", __CC_PluginManager_load_name).setObject(nullptr);
+        ModifyConsoleCommand("PluginManager", __CC_PluginManager_unload_name).setObject(nullptr);
 
-        for (std::map<std::string, PluginReference*>::iterator it = this->references_.begin(); it != this->references_.end(); ++it)
-            delete it->second;
-        for (std::map<std::string, Plugin*>::iterator it = this->plugins_.begin(); it != this->plugins_.end(); ++it)
-            delete it->second;
+        for (const auto& mapEntry : this->references_)
+            delete mapEntry.second;
+        for (const auto& mapEntry : this->plugins_)
+            delete mapEntry.second;
     }
 
@@ -96,8 +96,7 @@
     {
         const std::vector<std::string>& pluginPaths = ApplicationPaths::getInstance().getPluginPaths();
-        for (std::vector<std::string>::const_iterator it = pluginPaths.begin(); it != pluginPaths.end(); ++it)
+        for (const std::string& libraryName : pluginPaths)
         {
             std::string name;
-            std::string libraryName = (*it);
             std::string filename = libraryName +  + specialConfig::pluginExtension;
             std::ifstream infile(filename.c_str());
@@ -117,5 +116,5 @@
     {
         Plugin* plugin = this->plugins_[name];
-        if (plugin != NULL)
+        if (plugin != nullptr)
             plugin->reference();
         else
@@ -126,5 +125,5 @@
     {
         Plugin* plugin = this->plugins_[name];
-        if (plugin != NULL)
+        if (plugin != nullptr)
             plugin->dereference(this->bMerelyDeactivatePlugins_);
         else
@@ -137,5 +136,5 @@
     void PluginManager::loadPlugin(const std::string& name)
     {
-        if (this->references_[name] == NULL)
+        if (this->references_[name] == nullptr)
         {
             this->references_[name] = new PluginReference(name);
@@ -152,7 +151,7 @@
     {
         PluginReference* reference = this->references_[name];
-        if (reference != NULL)
+        if (reference != nullptr)
         {
-            this->references_[name] = NULL;
+            this->references_[name] = nullptr;
             delete reference;
         }
Index: code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationHandler.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationHandler.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationHandler.h	(revision 11054)
@@ -37,6 +37,6 @@
     {
         public:
-            StaticInitializationHandler() {}
-            virtual ~StaticInitializationHandler() {}
+            StaticInitializationHandler() = default;
+            virtual ~StaticInitializationHandler() = default;
 
             virtual void setupHandler() = 0;
Index: code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationHandlerIncludes.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationHandlerIncludes.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationHandlerIncludes.h	(revision 11054)
@@ -53,6 +53,6 @@
             ~StaticallyInitializedStaticInitializationHandler() { delete handler_; }
 
-            virtual void load();
-            virtual void unload();
+            virtual void load() override;
+            virtual void unload() override;
 
             inline StaticInitializationHandler& getHandler()
Index: code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationManager.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationManager.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationManager.cc	(revision 11054)
@@ -33,5 +33,5 @@
 namespace orxonox
 {
-    StaticInitializationManager* StaticInitializationManager::singletonPtr_s = 0;
+    StaticInitializationManager* StaticInitializationManager::singletonPtr_s = nullptr;
 
     void StaticInitializationManager::addHandler(StaticInitializationHandler* handler)
@@ -50,6 +50,6 @@
     {
         // attention: loading a module may add new handlers to the list
-        for (std::list<StaticInitializationHandler*>::iterator it = this->handlers_.begin(); it != this->handlers_.end(); ++it)
-            (*it)->loadModule(module);
+        for (StaticInitializationHandler* handler : this->handlers_)
+            handler->loadModule(module);
     }
 
Index: code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationManager.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationManager.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/module/StaticInitializationManager.h	(revision 11054)
@@ -43,6 +43,6 @@
 
         public:
-            StaticInitializationManager() {}
-            virtual ~StaticInitializationManager() {}
+            StaticInitializationManager() = default;
+            virtual ~StaticInitializationManager() = default;
 
             void addHandler(StaticInitializationHandler* handler);
Index: code/branches/cpp11_v3/src/libraries/core/object/ClassFactory.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/object/ClassFactory.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/object/ClassFactory.h	(revision 11054)
@@ -53,5 +53,6 @@
     {
         public:
-            virtual ~Factory() {}
+            Factory() = default;
+            virtual ~Factory() = default;
             virtual Identifiable* fabricate(Context* context) = 0;
     };
Index: code/branches/cpp11_v3/src/libraries/core/object/Context.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/object/Context.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/object/Context.cc	(revision 11054)
@@ -40,5 +40,5 @@
     RegisterClass(Context);
 
-    Context* Context::rootContext_s = 0;
+    Context* Context::rootContext_s = nullptr;
 
     Context* getContextForInitializationOfOtherContexts()
@@ -46,11 +46,11 @@
         static size_t count = 0;
         // the first time this is called, ++count returns 1 and the context is created
-        // the second time this is called, ++count returns 2 and NULL is returned because we're in the constructor of the context itself
+        // the second time this is called, ++count returns 2 and nullptr is returned because we're in the constructor of the context itself
         // for each future call the context (now completely created) is returned
         if (++count == 2)
-            return NULL;
+            return nullptr;
         else
         {
-            static Context context(NULL);
+            static Context context(nullptr);
             return &context;
         }
@@ -70,6 +70,6 @@
         // unregister context from object lists before object lists are destroyed
         this->unregisterObject();
-        for (size_t i = 0; i < this->objectLists_.size(); ++i)
-            delete this->objectLists_[i];
+        for (ObjectListBase* objectList : this->objectLists_)
+            delete objectList;
     }
 
@@ -82,10 +82,10 @@
     {
         delete Context::rootContext_s;
-        Context::rootContext_s = NULL;
+        Context::rootContext_s = nullptr;
     }
 
     /*static*/ Context* Context::getRootContext()
     {
-        OrxVerify(Context::rootContext_s != NULL, "Root Context is undefined");
+        OrxVerify(Context::rootContext_s != nullptr, "Root Context is undefined");
         return Context::rootContext_s;
     }
@@ -105,5 +105,5 @@
         ObjectListBase* objectList = this->getObjectList(identifier);
         delete objectList;
-        this->objectLists_[identifier->getClassID()] = NULL;
+        this->objectLists_[identifier->getClassID()] = nullptr;
     }
 }
Index: code/branches/cpp11_v3/src/libraries/core/object/DestroyLaterManager.h
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/object/DestroyLaterManager.h	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/object/DestroyLaterManager.h	(revision 11054)
@@ -45,6 +45,6 @@
             virtual ~DestroyLaterManager();
 
-            virtual void preUpdate(const Clock& time) { /*no action*/ }
-            virtual void postUpdate(const Clock& time);
+            virtual void preUpdate(const Clock& time) override { /*no action*/ }
+            virtual void postUpdate(const Clock& time) override;
 
             void retain(Destroyable* instance)
@@ -52,5 +52,5 @@
 
         private:
-            std::vector<StrongPtr<Destroyable> > retainedInstances_;
+            std::vector<StrongPtr<Destroyable>> retainedInstances_;
 
             static DestroyLaterManager* singletonPtr_s;
Index: code/branches/cpp11_v3/src/libraries/core/object/Destroyable.cc
===================================================================
--- code/branches/cpp11_v3/src/libraries/core/object/Destroyable.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/libraries/core/object/Destroyable.cc	(revision 11054)
@@ -70,5 +70,5 @@
     void Destroyable::destroy()
     {
-        assert(this); // Just in case someone tries to delete a NULL pointer
+        assert(this); // Just in case someone tries to delete a nullptr
         this->requestedDestruction_ = true;
         if (this->referenceCount_ == 0)
